सामग्री पर जाएँ

Video · Erase · Prompt

इंटीग्रेट करें

मॉडल id bria/video/erase/prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/erase/prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.70 700 API क्रेडिट · ≈ ₽75.31 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Bria AI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

हटाए जाने वाले ऑब्जेक्ट की पहचान करने वाला टेक्स्ट।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

ऑब्जेक्ट मिटाने के स्रोत के रूप में उपयोग किया जाने वाला 5 सेकंड से छोटा वीडियो।

उन्नत output_container_and_codec · preserve_audio
डिफ़ॉल्ट mp4_h264

आउटपुट के लिए कंटेनर और कोडेक, इनमें से चुना गया: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4।

POST /run/bria/video/erase/prompt?wait=20 कोटेशन → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/erase/prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Video · Erase · Prompt के बारे में

टेक्स्ट `prompt` से लक्ष्य ढूँढकर वीडियो से वस्तुएँ, लोग या अन्य तत्व हटाता है। इसमें मास्क या बिंदु देने की आवश्यकता नहीं होती। `video_url` का वीडियो 5 सेकंड से कम होना चाहिए, और इसे लागू करने के लिए `auto_trim` डिफ़ॉल्ट रूप से चालू रहता है। आउटपुट कोडेक और कंटेनर चुने जा सकते हैं, जिनका डिफ़ॉल्ट mp4_h264 है, और ऑडियो सुरक्षित रखा जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
output_container_and_codecवैकल्पिक
प्रकारenum
डिफ़ॉल्टmp4_h264
mp4_h265mp4_h264webm_vp9gifmov_h264mov_h265mov_proresksmkv_h264mkv_h265mkv_vp9mkv_mpeg4
आउटपुट के लिए कंटेनर और कोडेक, इनमें से चुना गया: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4।
auto_trimवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
वीडियो को 5 सेकंड की कार्यशील लंबाई तक स्वचालित रूप से छोटा करता है।
preserve_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
true होने पर आउटपुट वीडियो में ऑडियो बनाए रखना सक्षम होता है।
promptआवश्यक
प्रकारstring
हटाए जाने वाले ऑब्जेक्ट की पहचान करने वाला टेक्स्ट।
video_urlआवश्यक video
प्रकारurl · video
ऑब्जेक्ट मिटाने के स्रोत के रूप में उपयोग किया जाने वाला 5 सेकंड से छोटा वीडियो।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/erase/prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}परिणामी वीडियो।

और मॉडल: वीडियो से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/bria/video/erase/prompt.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt